<?php

namespace lib\Controllers;

use lib\Services\ClientService;
use lib\Services\ServerService;

class ServerController extends DBMSController
{
    private ?ServerService $_serverService = null;
    private ?ClientService $_clientService = null;
    public function __construct(array $params = [])
    {
        parent::__construct($params);
        $this->setPath('server');
    } //
    public function getServerService(): ServerService
    {
        if ($this->_serverService === null) {
            $this->_serverService = new ServerService();
        }
        return $this->_serverService;
    }
    public function getClientService(): ClientService
    {
        if ($this->_clientService === null) {
            $this->_clientService = new ClientService();
        }
        return $this->_clientService;
    }
} //Class
